package eu.ztsh.lfr.core.impl;

import eu.ztsh.lfr.core.TemperaturesService;
import eu.ztsh.lfr.model.Average;
import eu.ztsh.lfr.model.Averages;
import eu.ztsh.lfr.model.events.FileProcessedEvent;
import jakarta.annotation.Nonnull;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TemperaturesServiceImpl implements TemperaturesService {

    private Averages averages;

    @Nonnull
    @Override
    public List<Average> getTemperaturesFor(String city) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @EventListener(FileProcessedEvent.class)
    public void updateTemperatures(FileProcessedEvent event) {
        synchronized (this) {
            averages = event.averages();
        }
    }

}
